diff --git a/lib/app/modules/donatur/views/donatur_dashboard_view.dart b/lib/app/modules/donatur/views/donatur_dashboard_view.dart
index 2353085..87997f3 100644
--- a/lib/app/modules/donatur/views/donatur_dashboard_view.dart
+++ b/lib/app/modules/donatur/views/donatur_dashboard_view.dart
@@ -1,8 +1,8 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
-import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/modules/donatur/controllers/donatur_dashboard_controller.dart';
 import 'package:penyaluran_app/app/routes/app_pages.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/section_header.dart';
 
 class DonaturDashboardView extends GetView<DonaturDashboardController> {
@@ -36,13 +36,57 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
             child: Column(
               crossAxisAlignment: CrossAxisAlignment.start,
               children: [
+                // Header DisalurKita dengan logo dan slogan
+                Container(
+                  padding: const EdgeInsets.all(16),
+                  margin: const EdgeInsets.only(bottom: 16),
+                  decoration: BoxDecoration(
+                    color: Colors.white,
+                    borderRadius: BorderRadius.circular(15),
+                    boxShadow: [
+                      BoxShadow(
+                        color: Colors.blue.withOpacity(0.1),
+                        blurRadius: 10,
+                        offset: const Offset(0, 4),
+                      ),
+                    ],
+                  ),
+                  child: Row(
+                    children: [
+                      Image.asset(
+                        'assets/images/logo-disalurkita.png',
+                        width: 50,
+                        height: 50,
+                      ),
+                      const SizedBox(width: 15),
+                      const Column(
+                        crossAxisAlignment: CrossAxisAlignment.start,
+                        children: [
+                          Text(
+                            'DisalurKita',
+                            style: TextStyle(
+                              fontSize: 20,
+                              fontWeight: FontWeight.bold,
+                              color: Color(0xFF1565C0),
+                            ),
+                          ),
+                          SizedBox(height: 5),
+                          Text(
+                            'Salurkan dengan Pasti, Pantau dengan Bukti',
+                            style: TextStyle(
+                              fontSize: 12,
+                              color: Colors.grey,
+                              fontWeight: FontWeight.w500,
+                            ),
+                          ),
+                        ],
+                      ),
+                    ],
+                  ),
+                ),
                 _buildWelcomeSection(),
                 const SizedBox(height: 24),
                 _buildStatisticSection(),
-                const SizedBox(height: 24),
-                _buildUpcomingEvents(),
-                const SizedBox(height: 24),
-                _buildRecentPenitipan(),
               ],
             ),
           ),
@@ -101,14 +145,24 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
                       child: CircleAvatar(
                         radius: 30,
                         backgroundColor: Colors.blue.shade100,
-                        backgroundImage: controller.profilePhotoUrl != null
+                        backgroundImage: controller.profilePhotoUrl != null &&
+                                controller.profilePhotoUrl!.isNotEmpty
                             ? NetworkImage(controller.profilePhotoUrl!)
                             : null,
-                        child: controller.profilePhotoUrl == null
-                            ? Icon(
-                                Icons.person,
-                                color: Colors.blue.shade700,
-                                size: 30,
+                        child: (controller.profilePhotoUrl == null ||
+                                controller.profilePhotoUrl!.isEmpty)
+                            ? Text(
+                                controller.nama.isNotEmpty
+                                    ? controller.nama
+                                        .toString()
+                                        .substring(0, 1)
+                                        .toUpperCase()
+                                    : '?',
+                                style: TextStyle(
+                                  fontWeight: FontWeight.bold,
+                                  color: Colors.blue.shade700,
+                                  fontSize: 24,
+                                ),
                               )
                             : null,
                       ),
@@ -263,7 +317,7 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
               child: _buildStatCard(
                 title: 'Diterima',
                 value:
-                    '${controller.penitipanBantuan.where((p) => p.status == 'DITERIMA').length}',
+                    '${controller.penitipanBantuan.where((p) => p.status == 'TERVERIFIKASI').length}',
                 icon: Icons.check_circle_outline,
                 color: Colors.green,
               ),
@@ -284,125 +338,6 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
     );
   }
 
-  Widget _buildUpcomingEvents() {
-    final upcomingEvents = controller.jadwalPenyaluran
-        .where((event) =>
-            event.tanggalPenyaluran != null &&
-            event.tanggalPenyaluran!.isAfter(DateTime.now()))
-        .take(3)
-        .toList();
-
-    return Column(
-      crossAxisAlignment: CrossAxisAlignment.start,
-      children: [
-        Row(
-          mainAxisAlignment: MainAxisAlignment.spaceBetween,
-          children: [
-            Column(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                const SectionHeader(
-                  title: 'Jadwal Penyaluran',
-                ),
-                Text(
-                  'Jadwal penyaluran bantuan terdekat',
-                  style: TextStyle(
-                    fontSize: 14,
-                    color: Colors.grey.shade600,
-                  ),
-                ),
-              ],
-            ),
-            TextButton(
-              onPressed: () {
-                // Navigasi ke tab jadwal penyaluran
-                controller.activeTabIndex.value = 2;
-              },
-              child: Text(
-                'Lihat Semua',
-                style: TextStyle(color: Colors.blue.shade700),
-              ),
-            ),
-          ],
-        ),
-        const SizedBox(height: 8),
-        if (upcomingEvents.isEmpty)
-          Container(
-            padding: const EdgeInsets.all(16),
-            decoration: BoxDecoration(
-              color: Colors.grey.shade100,
-              borderRadius: BorderRadius.circular(10),
-            ),
-            child: const Center(
-              child: Text(
-                'Tidak ada jadwal penyaluran dalam waktu dekat',
-                style: TextStyle(color: Colors.grey),
-              ),
-            ),
-          )
-        else
-          ...upcomingEvents.map((event) => _buildEventCard(event)),
-      ],
-    );
-  }
-
-  Widget _buildRecentPenitipan() {
-    final recentPenitipan = controller.penitipanBantuan.take(3).toList();
-
-    return Column(
-      crossAxisAlignment: CrossAxisAlignment.start,
-      children: [
-        Row(
-          mainAxisAlignment: MainAxisAlignment.spaceBetween,
-          children: [
-            Column(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                const SectionHeader(
-                  title: 'Bantuan Terakhir',
-                ),
-                Text(
-                  'Riwayat penitipan bantuan terakhir',
-                  style: TextStyle(
-                    fontSize: 14,
-                    color: Colors.grey.shade600,
-                  ),
-                ),
-              ],
-            ),
-            TextButton(
-              onPressed: () {
-                // Navigasi ke tab riwayat penitipan
-                controller.activeTabIndex.value = 3;
-              },
-              child: Text(
-                'Lihat Semua',
-                style: TextStyle(color: Colors.blue.shade700),
-              ),
-            ),
-          ],
-        ),
-        const SizedBox(height: 8),
-        if (recentPenitipan.isEmpty)
-          Container(
-            padding: const EdgeInsets.all(16),
-            decoration: BoxDecoration(
-              color: Colors.grey.shade100,
-              borderRadius: BorderRadius.circular(10),
-            ),
-            child: const Center(
-              child: Text(
-                'Belum ada riwayat penitipan bantuan',
-                style: TextStyle(color: Colors.grey),
-              ),
-            ),
-          )
-        else
-          ...recentPenitipan.map((penitipan) => _buildPenitipanCard(penitipan)),
-      ],
-    );
-  }
-
   Widget _buildInfoRow({
     required IconData icon,
     required Color iconColor,
@@ -545,7 +480,7 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
 
   Widget _buildEventCard(dynamic event) {
     final formattedDate = event.tanggalPenyaluran != null
-        ? DateFormat('dd MMMM yyyy', 'id_ID').format(event.tanggalPenyaluran!)
+        ? FormatHelper.formatDateTime(event.tanggalPenyaluran!)
         : 'Tanggal tidak tersedia';
 
     return Container(
@@ -588,7 +523,8 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
                     ),
                     Text(
                       event.tanggalPenyaluran != null
-                          ? DateFormat('dd').format(event.tanggalPenyaluran!)
+                          ? FormatHelper.formatDateTime(
+                              event.tanggalPenyaluran!)
                           : '--',
                       style: TextStyle(
                         fontSize: 14,
@@ -640,8 +576,7 @@ class DonaturDashboardView extends GetView<DonaturDashboardController> {
 
   Widget _buildPenitipanCard(dynamic penitipan) {
     final formattedDate = penitipan.tanggalPenitipan != null
-        ? DateFormat('dd MMMM yyyy', 'id_ID')
-            .format(penitipan.tanggalPenitipan!)
+        ? FormatHelper.formatDateTime(penitipan.tanggalPenitipan!)
         : 'Tanggal tidak tersedia';
 
     Color statusColor;
diff --git a/lib/app/modules/donatur/views/donatur_jadwal_detail_view.dart b/lib/app/modules/donatur/views/donatur_jadwal_detail_view.dart
index d4c43a0..669c899 100644
--- a/lib/app/modules/donatur/views/donatur_jadwal_detail_view.dart
+++ b/lib/app/modules/donatur/views/donatur_jadwal_detail_view.dart
@@ -1,12 +1,12 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
-import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/modules/donatur/controllers/donatur_dashboard_controller.dart';
 import 'package:penyaluran_app/app/data/models/penyaluran_bantuan_model.dart';
 import 'package:penyaluran_app/app/widgets/section_header.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 
 class DonaturJadwalDetailView extends GetView<DonaturDashboardController> {
-  const DonaturJadwalDetailView({Key? key}) : super(key: key);
+  const DonaturJadwalDetailView({super.key});
 
   @override
   DonaturDashboardController get controller {
@@ -35,7 +35,6 @@ class DonaturJadwalDetailView extends GetView<DonaturDashboardController> {
             _buildDetailSection(jadwal),
             _buildPelaksanaSection(jadwal),
             _buildStatusSection(jadwal),
-            _buildActionSection(jadwal),
           ],
         ),
       ),
@@ -126,8 +125,7 @@ class DonaturJadwalDetailView extends GetView<DonaturDashboardController> {
                 ),
                 const SizedBox(width: 8),
                 Text(
-                  DateFormat('EEEE, dd MMMM yyyy', 'id_ID')
-                      .format(jadwal.tanggalPenyaluran!),
+                  FormatHelper.formatDateIndonesian(jadwal.tanggalPenyaluran),
                   style: const TextStyle(
                     fontSize: 16,
                     color: Colors.white,
@@ -204,11 +202,26 @@ class DonaturJadwalDetailView extends GetView<DonaturDashboardController> {
                       CircleAvatar(
                         radius: 25,
                         backgroundColor: Colors.blue.shade100,
-                        child: Icon(
-                          Icons.person,
-                          color: Colors.blue.shade700,
-                          size: 30,
-                        ),
+                        backgroundImage: jadwal.fotoPetugas != null &&
+                                jadwal.fotoPetugas.toString().isNotEmpty
+                            ? NetworkImage(jadwal.fotoPetugas as String)
+                            : null,
+                        child: (jadwal.fotoPetugas == null ||
+                                jadwal.fotoPetugas.toString().isEmpty)
+                            ? Text(
+                                jadwal.namaPetugas != null
+                                    ? jadwal.namaPetugas
+                                        .toString()
+                                        .substring(0, 1)
+                                        .toUpperCase()
+                                    : '?',
+                                style: TextStyle(
+                                  fontWeight: FontWeight.bold,
+                                  color: Colors.blue.shade700,
+                                  fontSize: 20,
+                                ),
+                              )
+                            : null,
                       ),
                       const SizedBox(width: 16),
                       Expanded(
@@ -254,50 +267,87 @@ class DonaturJadwalDetailView extends GetView<DonaturDashboardController> {
         children: [
           const SectionHeader(title: 'Status Penyaluran'),
           const SizedBox(height: 16),
-          _buildStatusTimeline(jadwal),
+          _buildStatusCard(jadwal),
         ],
       ),
     );
   }
 
-  Widget _buildStatusTimeline(PenyaluranBantuanModel jadwal) {
+  Widget _buildStatusCard(PenyaluranBantuanModel jadwal) {
     final status = jadwal.status;
-    final bool isCompleted = status == 'SELESAI';
-    final bool isCancelled = status == 'DIBATALKAN';
-    final bool isInProgress = status == 'DALAM_PROSES';
+    final bool isCompleted = status == 'TERLAKSANA';
+    final bool isCancelled = status == 'BATALTERLAKSANA';
+    final bool isInProgress = status == 'AKTIF';
+    final bool isScheduled = status == 'Dijadwalkan';
+
+    Color statusColor = Colors.blue;
+    IconData statusIcon = Icons.schedule;
+    String statusText = 'Dijadwalkan';
+
+    if (isCompleted) {
+      statusColor = Colors.green;
+      statusIcon = Icons.check_circle;
+      statusText = 'Terlaksana';
+    } else if (isCancelled) {
+      statusColor = Colors.red;
+      statusIcon = Icons.cancel;
+      statusText = 'Batal Terlaksana';
+    } else if (isInProgress) {
+      statusColor = Colors.blue;
+      statusIcon = Icons.sync;
+      statusText = 'Aktif';
+    } else if (isScheduled) {
+      statusColor = Colors.orange;
+      statusIcon = Icons.schedule;
+      statusText = 'Dijadwalkan';
+    }
 
     return Column(
       children: [
-        _buildTimelineItem(
-          title: 'Dijadwalkan',
-          date: jadwal.createdAt != null
-              ? DateFormat('dd MMM yyyy', 'id_ID').format(jadwal.createdAt!)
-              : '-',
-          isCompleted: true,
-          isFirst: true,
-        ),
-        _buildTimelineItem(
-          title: 'Dalam Proses',
-          date: isInProgress || isCompleted
-              ? jadwal.tanggalPenyaluran != null
-                  ? DateFormat('dd MMM yyyy', 'id_ID')
-                      .format(jadwal.tanggalPenyaluran!)
-                  : '-'
-              : '-',
-          isCompleted: isInProgress || isCompleted,
-          isCancelled: isCancelled,
-        ),
-        _buildTimelineItem(
-          title: 'Selesai',
-          date: isCompleted
-              ? jadwal.tanggalSelesai != null
-                  ? DateFormat('dd MMM yyyy', 'id_ID')
-                      .format(jadwal.tanggalSelesai!)
-                  : '-'
-              : '-',
-          isCompleted: isCompleted,
-          isCancelled: isCancelled,
-          isLast: true,
+        Container(
+          padding: const EdgeInsets.all(16),
+          decoration: BoxDecoration(
+            color: statusColor.withOpacity(0.1),
+            borderRadius: BorderRadius.circular(12),
+            border: Border.all(color: statusColor.withOpacity(0.3)),
+          ),
+          child: Column(
+            children: [
+              Row(
+                children: [
+                  Icon(statusIcon, color: statusColor, size: 28),
+                  const SizedBox(width: 12),
+                  Text(
+                    statusText,
+                    style: TextStyle(
+                      fontSize: 18,
+                      fontWeight: FontWeight.bold,
+                      color: statusColor,
+                    ),
+                  ),
+                ],
+              ),
+              const SizedBox(height: 16),
+              _buildStatusDetailItem(
+                title: 'Tanggal Dijadwalkan',
+                value: FormatHelper.formatDateIndonesian(jadwal.createdAt),
+              ),
+              const SizedBox(height: 8),
+              _buildStatusDetailItem(
+                title: 'Tanggal Penyaluran',
+                value:
+                    FormatHelper.formatDateIndonesian(jadwal.tanggalPenyaluran),
+              ),
+              if (isCompleted) ...[
+                const SizedBox(height: 8),
+                _buildStatusDetailItem(
+                  title: 'Tanggal Selesai',
+                  value:
+                      FormatHelper.formatDateIndonesian(jadwal.tanggalSelesai),
+                ),
+              ],
+            ],
+          ),
         ),
         if (isCancelled) ...[
           const SizedBox(height: 16),
@@ -333,7 +383,7 @@ class DonaturJadwalDetailView extends GetView<DonaturDashboardController> {
                 const SizedBox(height: 8),
                 if (jadwal.tanggalPembatalan != null)
                   Text(
-                    'Dibatalkan pada: ${DateFormat('dd MMMM yyyy', 'id_ID').format(jadwal.tanggalPembatalan!)}',
+                    'Dibatalkan pada: ${FormatHelper.formatDateIndonesian(jadwal.tanggalPembatalan)}',
                     style: TextStyle(
                       fontSize: 14,
                       color: Colors.red.shade700,
@@ -347,159 +397,29 @@ class DonaturJadwalDetailView extends GetView<DonaturDashboardController> {
     );
   }
 
-  Widget _buildTimelineItem({
-    required String title,
-    required String date,
-    required bool isCompleted,
-    bool isFirst = false,
-    bool isLast = false,
-    bool isCancelled = false,
-  }) {
+  Widget _buildStatusDetailItem(
+      {required String title, required String value}) {
     return Row(
+      mainAxisAlignment: MainAxisAlignment.spaceBetween,
       children: [
-        SizedBox(
-          width: 20,
-          child: Column(
-            children: [
-              if (!isFirst)
-                Container(
-                  width: 2,
-                  height: 20,
-                  color: isCompleted
-                      ? Colors.green
-                      : isCancelled
-                          ? Colors.red
-                          : Colors.grey.shade300,
-                ),
-              Container(
-                width: 20,
-                height: 20,
-                decoration: BoxDecoration(
-                  shape: BoxShape.circle,
-                  color: isCompleted
-                      ? Colors.green
-                      : isCancelled
-                          ? Colors.red
-                          : Colors.grey.shade300,
-                  border: Border.all(
-                    color: isCompleted
-                        ? Colors.green
-                        : isCancelled
-                            ? Colors.red
-                            : Colors.grey.shade300,
-                    width: 2,
-                  ),
-                ),
-                child: isCompleted
-                    ? const Icon(Icons.check, size: 12, color: Colors.white)
-                    : isCancelled
-                        ? const Icon(Icons.close, size: 12, color: Colors.white)
-                        : null,
-              ),
-              if (!isLast)
-                Container(
-                  width: 2,
-                  height: 20,
-                  color: isCompleted && !isCancelled
-                      ? Colors.green
-                      : Colors.grey.shade300,
-                ),
-            ],
+        Text(
+          title,
+          style: TextStyle(
+            fontSize: 14,
+            color: Colors.grey.shade700,
           ),
         ),
-        const SizedBox(width: 12),
-        Expanded(
-          child: Container(
-            margin: const EdgeInsets.only(bottom: 16),
-            child: Column(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                Text(
-                  title,
-                  style: TextStyle(
-                    fontSize: 16,
-                    fontWeight: FontWeight.bold,
-                    color: isCompleted
-                        ? Colors.black
-                        : isCancelled
-                            ? Colors.red
-                            : Colors.grey,
-                  ),
-                ),
-                Text(
-                  date,
-                  style: TextStyle(
-                    fontSize: 14,
-                    color: isCompleted
-                        ? Colors.grey.shade700
-                        : isCancelled
-                            ? Colors.red.shade300
-                            : Colors.grey.shade400,
-                  ),
-                ),
-              ],
-            ),
+        Text(
+          value,
+          style: const TextStyle(
+            fontSize: 14,
+            fontWeight: FontWeight.bold,
           ),
         ),
       ],
     );
   }
 
-  Widget _buildActionSection(PenyaluranBantuanModel jadwal) {
-    if (jadwal.status == 'DIBATALKAN') {
-      return const SizedBox.shrink();
-    }
-
-    return Container(
-      padding: const EdgeInsets.all(20),
-      child: Column(
-        crossAxisAlignment: CrossAxisAlignment.start,
-        children: [
-          const SectionHeader(title: 'Tindakan'),
-          const SizedBox(height: 16),
-          Row(
-            children: [
-              Expanded(
-                child: ElevatedButton.icon(
-                  onPressed: () => _hubungiPetugas(jadwal),
-                  style: ElevatedButton.styleFrom(
-                    padding: const EdgeInsets.symmetric(
-                        horizontal: 20, vertical: 12),
-                    backgroundColor: Colors.green,
-                    foregroundColor: Colors.white,
-                    shape: RoundedRectangleBorder(
-                      borderRadius: BorderRadius.circular(8),
-                    ),
-                  ),
-                  icon: const Icon(Icons.chat_outlined),
-                  label: const Text('Hubungi Petugas'),
-                ),
-              ),
-              if (jadwal.status == 'SELESAI') ...[
-                const SizedBox(width: 12),
-                Expanded(
-                  child: OutlinedButton.icon(
-                    onPressed: () => _lihatLaporan(jadwal),
-                    style: OutlinedButton.styleFrom(
-                      padding: const EdgeInsets.symmetric(
-                          horizontal: 20, vertical: 12),
-                      foregroundColor: Colors.blue,
-                      shape: RoundedRectangleBorder(
-                        borderRadius: BorderRadius.circular(8),
-                      ),
-                    ),
-                    icon: const Icon(Icons.description_outlined),
-                    label: const Text('Lihat Laporan'),
-                  ),
-                ),
-              ],
-            ],
-          ),
-        ],
-      ),
-    );
-  }
-
   Widget _buildInfoItem({
     required IconData icon,
     required String title,
diff --git a/lib/app/modules/donatur/views/donatur_jadwal_view.dart b/lib/app/modules/donatur/views/donatur_jadwal_view.dart
index fbb4cc1..685b42e 100644
--- a/lib/app/modules/donatur/views/donatur_jadwal_view.dart
+++ b/lib/app/modules/donatur/views/donatur_jadwal_view.dart
@@ -2,6 +2,7 @@ import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/modules/donatur/controllers/donatur_dashboard_controller.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/section_header.dart';
 
 class DonaturJadwalView extends GetView<DonaturDashboardController> {
@@ -97,7 +98,7 @@ class DonaturJadwalView extends GetView<DonaturDashboardController> {
     for (var jadwal in controller.jadwalPenyaluran) {
       if (jadwal.tanggalPenyaluran != null) {
         String monthYear =
-            DateFormat('MMMM yyyy', 'id_ID').format(jadwal.tanggalPenyaluran!);
+            FormatHelper.formatDate(jadwal.tanggalPenyaluran!, format: 'MMMM');
 
         if (!groupedJadwal.containsKey(monthYear)) {
           groupedJadwal[monthYear] = [];
@@ -110,9 +111,14 @@ class DonaturJadwalView extends GetView<DonaturDashboardController> {
     // Urutkan kunci (bulan) secara kronologis
     List<String> sortedMonths = groupedJadwal.keys.toList()
       ..sort((a, b) {
-        DateTime dateA = DateFormat('MMMM yyyy', 'id_ID').parse(a);
-        DateTime dateB = DateFormat('MMMM yyyy', 'id_ID').parse(b);
-        return dateA.compareTo(dateB);
+        try {
+          DateTime dateA = DateFormat('MMMM yyyy', 'id_ID').parse(a);
+          DateTime dateB = DateFormat('MMMM yyyy', 'id_ID').parse(b);
+          return dateA.compareTo(dateB);
+        } catch (e) {
+          // Fallback sorting jika parse error
+          return a.compareTo(b);
+        }
       });
 
     return ListView(
@@ -158,28 +164,27 @@ class DonaturJadwalView extends GetView<DonaturDashboardController> {
 
   Widget _buildJadwalCard(dynamic jadwal) {
     final formattedDate = jadwal.tanggalPenyaluran != null
-        ? DateFormat('EEEE, dd MMMM yyyy', 'id_ID')
-            .format(jadwal.tanggalPenyaluran!)
+        ? FormatHelper.formatDateTime(jadwal.tanggalPenyaluran!)
         : 'Tanggal tidak tersedia';
 
-    String statusText = 'Akan Datang';
+    String statusText = 'Dijadwalkan';
     Color statusColor = Colors.blue;
 
     switch (jadwal.status) {
-      case 'SELESAI':
-        statusText = 'Selesai';
+      case 'TERLAKSANA':
+        statusText = 'Terlaksana';
         statusColor = Colors.green;
         break;
-      case 'DIBATALKAN':
-        statusText = 'Dibatalkan';
+      case 'BATALTERLAKSANA':
+        statusText = 'Batal Terlaksana';
         statusColor = Colors.red;
         break;
-      case 'DALAM_PROSES':
-        statusText = 'Dalam Proses';
-        statusColor = Colors.orange;
+      case 'AKTIF':
+        statusText = 'Aktif';
+        statusColor = Colors.blue;
         break;
       default:
-        statusText = 'Akan Datang';
+        statusText = 'Dijadwalkan';
         statusColor = Colors.blue;
     }
 
@@ -248,8 +253,9 @@ class DonaturJadwalView extends GetView<DonaturDashboardController> {
                             ),
                             child: Text(
                               jadwal.tanggalPenyaluran != null
-                                  ? DateFormat('MMM', 'id_ID')
-                                      .format(jadwal.tanggalPenyaluran!)
+                                  ? FormatHelper.formatDate(
+                                          jadwal.tanggalPenyaluran!,
+                                          format: 'MMM')
                                       .toUpperCase()
                                   : 'TBD',
                               style: const TextStyle(
@@ -265,8 +271,9 @@ class DonaturJadwalView extends GetView<DonaturDashboardController> {
                             child: Center(
                               child: Text(
                                 jadwal.tanggalPenyaluran != null
-                                    ? DateFormat('dd')
-                                        .format(jadwal.tanggalPenyaluran!)
+                                    ? FormatHelper.formatDate(
+                                        jadwal.tanggalPenyaluran!,
+                                        format: 'dd')
                                     : '-',
                                 style: TextStyle(
                                   fontSize: 24,
@@ -459,11 +466,11 @@ class DonaturJadwalView extends GetView<DonaturDashboardController> {
 
   IconData _getStatusIcon(String? status) {
     switch (status) {
-      case 'SELESAI':
+      case 'TERLAKSANA':
         return Icons.check_circle;
-      case 'DIBATALKAN':
+      case 'BATALTERLAKSANA':
         return Icons.cancel;
-      case 'DALAM_PROSES':
+      case 'AKTIF':
         return Icons.timelapse;
       default:
         return Icons.event_available;
